[Snort-users] snort 1.9 freebsd port with Spade?

Shane Hickey shane at ...5522...
Tue Dec 3 13:32:03 EST 2002


I'm trying to install snort 1.9 via the ports collection.  I'm a recent
FreeBSD convert, so I'm sure there's an easy way to do this.  But,
basically, I need to patch Snort before it installs.  So, I did a 'make
extract' then untar'd the Spade tar file and ran the 'make' to patch the
Snort source.  Then I did a 'make -DWITH_MYSQL -DWITH_FLEXRESP' and it
makes it pretty dang far.  That is, I get to this...

cc  -O2 -pipe -march=pentium -Wall -DENABLE_RESPONSE -DLIBNET_BSDISH_OS
-DLIBNET_BSD_BYTE_SWAP -DHAVE_SOCKADDR_SA_LEN -DLIBNET_LIL_ENDIAN
-L/usr/local/lib -L/usr/local/lib/mysql -o snort  codes.o debug.o
decode.o log.o mstring.o parser.o  plugbase.o snort.o snprintf.o
strlcatu.o strlcpyu.o tag.o ubi_BinTree.o  ubi_SplayTree.o util.o
detect.o substr.o trie.o signature.o mempool.o  sf_sdlist.o perf.o
perf-flow.o perf-base.o perf-event.o threshold.o
output-plugins/libspo.a  detection-plugins/libspd.a
preprocessors/libspp.a -lz -lpcap -lm  -lmysqlclient -lnet
plugbase.o: In function `InitPreprocessors':
plugbase.o(.text+0x4a4): undefined reference to `SetupSpade'
*** Error code 1

Stop in /usr/ports/security/snort/work/snort-1.9.0/src.
*** Error code 1

Stop in /usr/ports/security/snort/work/snort-1.9.0/src.
*** Error code 1

Stop in /usr/ports/security/snort/work/snort-1.9.0.
*** Error code 1

I'm sure there's an easier way to do this, but I don't know enough
FreeBSD tricks yet.

Thanks!

Shane





More information about the Snort-users mailing list